Bug 199598 - gcc appears to choke on a large .c file, giving an internal error.
gcc appears to choke on a large .c file, giving an internal error.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 13:30 EDT by Chris Kuszmaul
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 04:13:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The primary source file that gcc chokes on. Hmmm. It is huge. (7.13 MB, text/x-csrc)
2006-07-20 13:30 EDT, Chris Kuszmaul
no flags Details

  None (edit)
Description Chris Kuszmaul 2006-07-20 13:30:21 EDT
Description of problem: gcc throws an internal error while trying to make flite
(festival lite)


Version-Release number of selected component (if applicable):

gcc -v
Using built-in specs.
Target: i386-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--enable-checking=release --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-libgcj-multifile
--enable-languages=c,c++,objc,java,f95,ada --enable-java-awt=gtk
--with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre --host=i386-redhat-linux
Thread model: posix

  Festival lite was downloaded from 

http://www.speech.cs.cmu.edu/flite/packed/flite-1.3/flite-1.3-release.tar.gz



How reproducible:  Fully - symptoms include substantial system performance
degradation and browser closure on my system.


Steps to Reproduce:
1. Download and unpack flite-1.3 to /tmp
2. Run ./configure
3. Run make

4. You may then reproduce the error in a smaller context by doing a cd to 

tmp/flite-1.3-current/lang/cmu_us_kal

  And either run make there, or explicitly do:

 gcc   -I../../lang/usenglish -I../../lang/cmulex  -I../../include -g -O2 -Wall
  -c cmu_us_kal_res.c -o
../../build/i386-linux-gnu/obj/lang/cmu_us_kal/cmu_us_kal_res.o


  
Actual results:

  Internal gcc error

Expected results:

 Probably some error related to not having a compatable platform or OS for
festival lite.


Additional info:

   Object code from festival lite runs on my platform. Trying to compile its source.
Comment 1 Chris Kuszmaul 2006-07-20 13:30:24 EDT
Created attachment 132754 [details]
The primary source file that gcc chokes on. Hmmm. It is huge.
Comment 2 Jakub Jelinek 2006-08-10 04:13:51 EDT
Compiles just fine with gcc-4.0.2-8.fc4.

Note You need to log in before you can comment on or make changes to this bug.